Adding php package to fsl-image-machine-test

cancel
Showing results for 
Search instead for 
Did you mean: 

Adding php package to fsl-image-machine-test

5,292 Views
philippeballeyd
Contributor IV

Hi

 

I'm trying to install a webserver (lighttpd + php) on a Sabre Board (fsl-image-machine-test dizzy branch) So i basically added these lines to the local.conf file:

----------------------------------------------------------------------------------------------------------------------

CORE_IMAGE_EXTRA_INSTALL += " \

openssh \

lighttpd \

php \

"

----------------------------------------------------------------------------------------------------------------------

 

 

 

when i bitbake it, everything is going as expected without any errors (php actually being baked) until it reachs the end (2 tasks left):

0: fsl-image-machine-test-1.0-r0 do_rootfs

 

Then i get this error:

----------------------------------------------------------------------------------------------------------------------

ERROR: Unable to install packages. Command '/media/philippe/data/release/build-sb/tmp/sysroots/x86_64-linux/usr/bin/smart --quiet --data-dir=/media/philippe/data/release/build-sb/tmp/work/imx6qsabresd-poky-linux-gnueabi/fsl-image-machine-test/1.0-r0/rootfs/var/lib/smart install -y packagegroup-fsl-tools-gpu@imx6qsabresd packagegroup-core-tools-testapps@imx6qsabresd packagegroup-fsl-tools-testapps@all run-postinsts@all packagegroup-fsl-tools-benchmark@imx6qsabresd packagegroup-core-x11-base@all packagegroup-base-extended@imx6qsabresd openssh@cortexa9hf_vfp_neon packagegroup-core-tools-profile@imx6qsabresd lighttpd@cortexa9hf_vfp_neon packagegroup-fsl-gstreamer-full@all packagegroup-fsl-tools-gpu-external@all packagegroup-fsl-gstreamer@imx6qsabresd php@cortexa9hf_vfp_neon packagegroup-core-boot@imx6qsabresd locale-base-en-us@cortexa9hf_vfp_neon locale-base-en-gb@cortexa9hf_vfp_neon' returned 1:

error: Can't install php-5.4.33-r0@cortexa9hf_vfp_neon: no package provides /media/philippe/data/release/build-sb/tmp/work/cortexa9hf-vfp-neon-poky-linux-gnueabi/php/5.4.33-r0/image/usr/bin/php

 

 

ERROR: Function failed: do_rootfs

ERROR: Logfile of failure stored in: /media/philippe/data/release/build-sb/tmp/work/imx6qsabresd-poky-linux-gnueabi/fsl-image-machine-test/1.0-r0/temp/log.do_rootfs.1977

ERROR: Task 7 (/media/philippe/data/release/sources/meta-fsl-demos/recipes-fsl/images/fsl-image-machine-test.bb, do_rootfs) failed with exit code '1'

----------------------------------------------------------------------------------------------------------------------

 

 

 

Any ideas of what would be the issue?

Any pointers would be of great help

 

I'm joining the full log in attachment

 

 

Best regards

Original Attachment has been moved to: log.do_rootfs.1977.txt.zip

Labels (3)
11 Replies

394 Views
gpaduan
Contributor II

Hello Phillipe,

Just forwarding you an answer that I've got from an embedded group that I follow:

"The name of a recipe is not necessarily the same package name it generates. And a recipe can also generate several packages. The values you should put in IMAGE_INSTALL, CORE_IMAGE_EXTRA_INSTALL, etc., variables should be the package name and not the name of the recipe.

The following command lists the packages generated by the PHP recipe:

$ bitbake -e php | grep ^PACKAGES=

>>> PACKAGES="php-dbg php-cli php-cgi php-fpm php-fpm-apache2 php-pear

php-dev php-staticdev php-doc php"

Just include in your image recipe the packets you want to use.

When in doubt about which package is given file, the command below

can help you:

$ bitbake -e php | grep ^FILES_

"

Based on this, just append php-cgi (or any other package that you need from php) in your CORE_IMAGE_EXTRA_INSTALL variable and you'll might see the binary installed in your image.

Hope it helps,

Best regards.

394 Views
manjunathjoshi
Contributor V

Hello All,

I tried doing what Gabriel Paduan has mentioned here. I added php-cgi and php-cli only. But

error: Can't install php-5.4.36-r0@cortexa9hf_vfp_neon: no package provides /home/pga/projects/fsl-community-bsp/build_toolchain/tmp/work/cortexa9hf-vfp-neon-poky-linux-gnueabi/php/5.4.36-r0/image/usr/bin/php

is the error.

Regards

0 Kudos

394 Views
manjunathjoshi
Contributor V

Hello all,

Seems like we need to modify lighttpd.conf, copy build/tmp/sysroots/imx6qsabresd/usr/lib/mod*.so to /usr/lib in filesystem to make php work.

If this is to be done in the bitbake itself then,

1. Add only php-cgi to image.bb file.

2. Modify lighttpd.bb file for the below lines,

RDEPENDS_${PN} += " \

              lighttpd-module-access \

              lighttpd-module-accesslog \

              lighttpd-module-indexfile \

              lighttpd-module-dirlisting \

              lighttpd-module-staticfile \

              lighttpd-module-rewrite \          --added new

              lighttpd-module-auth \              --added new

              lighttpd-module-fastcgi \          --added new

"

3. Recompile image for lighttpd package.  ---bitbake -c clean package

4.Now rebuild with bitbake image.

Thanks to my senior who helped in this. Hopefully it will work for you too.

Regards

394 Views
philippeballeyd
Contributor IV

Another problem, i suspected a conflict between lighttpd and php and tried to build a different webserver:

CORE_IMAGE_EXTRA_INSTALL += " \

openssh \

apache2 \

fcgi \

modphp \

"

But it appears that nothing provides apache2.

The following link shows that apache should be available on the dizzi branch.

OpenEmbedded Metadata Index - meta-webserver

Am i missing something?

0 Kudos

394 Views
gpaduan
Contributor II

Hello Philippe,

Have you solved your issue with php package?

I've switched the meta-openembedded to master branch as suggested in another thread in order to get php built.

After this step, the package is not being installed on the generated image, but no error appear during the process.

The php version is 5.5.20.

Any ideas?

Thanks in advance

0 Kudos

394 Views
philippeballeyd
Contributor IV

Someone suggested the same solution on the metafreescale mailing list and this is not working for me either :/

No errors, but php doesn't seem to be installed

394 Views
gpaduan
Contributor II

Hello Phillipe,

Any news about your issue?

0 Kudos

394 Views
gpaduan
Contributor II

Thanks Philippe,

I'll keep looking for something but this is keeping me stuck for a while.

If you get something new, please let me know.

Best regards

394 Views
philippeballeyd
Contributor IV

After digging in the log file, i realized that one command was failling

/media/philippe/data/release/build-sb/tmp/sysroots/x86_64-linux/usr/bin/smart --quiet --data-dir=/media/philippe/data/release/build-sb/tmp/work/imx6qsabresd-poky-linux-gnueabi/core-image-minimal/1.0-r0/rootfs/var/lib/smart install -y run-postinsts@all php-cgi@cortexa9hf_vfp_neon openssh@cortexa9hf_vfp_neon lighttpd@cortexa9hf_vfp_neon php@cortexa9hf_vfp_neon packagegroup-core-boot@imx6qsabresd

So i tried to run it by myself and i figured out that the smart package was missing. I tried to install it via the ubuntu packet manager, but it seems there is multiple things missing

Any ideas?

394 Views
gusarambula
NXP TechSupport
NXP TechSupport

I tried adding these packages and I’m also getting errors. I’m also using Ubuntu 12.04

I saw the e-mail threads on the Yocto project. Let’s hope Otavio or someone else on the communities can shed some light on this issue.

0 Kudos

394 Views
yurirellosa
Contributor IV

Hello

We are wondering if there are any updates regarding this issue?

Or if there is some possible work-around for it.

Best Regards

0 Kudos